#!/bin/sh
#
# $FreeBSD: head/etc/rc.d/dmesg 174461 2007-12-08 22:40:31Z dougb $
#

# PROVIDE: dmesg
# REQUIRE: mountcritremote cleanvar
# BEFORE:  DAEMON
# KEYWORD: nojail
{
	requires={"mountcritremote", "cleanvar"},
	before="DAEMON",
	keywords="nojail",
	start = {
		cmd = function()
			local dmesg_file="/var/run/dmeseg.boot"
			os.remove(dmesg_file)
			with_umask(function() os.execute("/sbin/dmesg "..(config.dmesg_flags or "").." > "..dmesg_file) end)
		end
	},
	stop = {
		cmd = function() return true end
	}
}
